<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.CityMapper">

    <resultMap id="BaseResultMap" type="com.tuoheng.model.dto.City">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="pid" column="pid" jdbcType="INTEGER"/>
            <result property="level" column="level" jdbcType="TINYINT"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="citycode" column="citycode" jdbcType="VARCHAR"/>
            <result property="pAdcode" column="p_adcode" jdbcType="VARCHAR"/>
            <result property="adcode" column="adcode" jdbcType="VARCHAR"/>
            <result property="lng" column="lng" jdbcType="INTEGER"/>
            <result property="lat" column="lat" jdbcType="INTEGER"/>
            <result property="sort" column="sort" jdbcType="TINYINT"/>
            <result property="createUser" column="create_user" jdbcType="INTEGER"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateUser" column="update_user" jdbcType="INTEGER"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="mark" column="mark" jdbcType="TINYINT"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,pid,level,
        name,citycode,p_adcode,
        adcode,lng,lat,
        sort,create_user,create_time,
        update_user,update_time,mark
    </sql>
</mapper>
